/* featured Collection - START */
.featured-collection {
  position: relative;
  z-index: 0;
}

.product-list__nav-wrapper {
  display: flex;
  flex-direction: column;
  column-gap: calc(3rem * var(--body-scale));
  row-gap: calc(2rem * var(--body-scale));
  margin-bottom: calc(1.5rem * var(--body-scale));
}

.featured-collection .product_slider-nav-action {
  display: flex;
  flex-direction: row;
  align-items: center;
  position: relative;
  margin-left: auto;
  color: rgb(var(--text-color));
  text-align: center;
  font-size: var(--text-size);
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  letter-spacing: 2.8px;
}

.featured-collection .product_slider-nav-action:has(.swiper-button-lock) {
  display: none;
}

.featured-collection .product_slider-nav-action .product_slider-button-prev,
.featured-collection .product_slider-nav-action .product_slider-button-next,
.featured-collection .product_slider-nav-action .product_slider-pagination {
  padding: calc(0.625rem * var(--body-scale));
  cursor: pointer;
}

.featured-collection .product_slider-nav-action:after {
  position: absolute;
  content: '';
  width: 100%;
  height: 2px;
  background: rgb(var(--line-color));
  bottom: 0px;
  left: 0px;
}

.featured-collection__products swiper-container {
  --slide-gap: calc(1.25rem * var(--body-scale));
  width: 100%;
}

.featured-collection__products swiper-container::part(container) {
  box-sizing: content-box;
  padding-inline: min(var(--slide-gap), var(--wrapper-padding));
  margin-inline: max(calc(var(--slide-gap) * -1), calc(var(--wrapper-padding) * -1));
}

.featured-collection__products swiper-slide {
  height: auto;
}

.featured-collection__view-more {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: calc(2.5rem * var(--body-scale));
}

.featured-collection .featured-collection__head:not(:last-child),
.featured-collection .featured-collection__products-wrapper:not(:last-child),
.featured-collection .featured-collection__view-more:not(:last-child) {
  margin-bottom: calc(1.5rem * var(--body-scale));
}

@media only screen and (min-width: 768px) {
  .product-list__nav-wrapper {
    flex-direction: row;
    margin-bottom: calc(1.5rem * var(--body-scale));
  }

  .featured-collection__head {
    flex-grow: 1;
  }

  .featured-collection .product_slider-nav-action {
    margin-left: 0;
    flex-shrink: 0;
    align-self: flex-end;
  }

  .featured-collection .product_slider-nav-action:first-child {
    margin-left: auto;
  }
}

.product-list__nav-wrapper.align-left {
  justify-content: flex-start;
}
.product-list__nav-wrapper.align-left .product_slider-nav-action {
  margin-left: 0;
  margin-right: auto;
}

.product-list__nav-wrapper.align-center {
  justify-content: center;
}
.product-list__nav-wrapper.align-center .product_slider-nav-action {
  margin-left: auto;
  margin-right: auto;
}

.product-list__nav-wrapper.align-right {
  justify-content: flex-end;
}
.product-list__nav-wrapper.align-right .product_slider-nav-action {
  margin-left: auto;
  margin-right: 0;
}

.featured-collection__view-more.align-left {
  justify-content: flex-start;
}
.featured-collection__view-more.align-center {
  justify-content: center;
}
.featured-collection__view-more.align-right {
  justify-content: flex-end;
}

/* featured Collection - END */